{% extends 'base.html.twig' %}

{% block icon %}fa fa-id-card{% endblock %}
{% block title %}Accords de versement{% endblock %}
{% block breadcrumb %}
    {% if app.request.get('tenant_url') %}
        <li><a href="{{ url('app_home', {tenant_url: app.request.get('tenant_url')}) }}">
            {{ current_tenant('name') }}
        </a></li>
    {% endif %}
    <li>Référentiel archivage</li>
    <li class="active">Accords de versement</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        {% if can_access('app_agreement_add') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_agreement_add') }}"
                data-title="Créer un accord de versement"
                data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Créer un accord de versement
            </button>
        {% endif %}

        {% if can_access('app_agreement_import1') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_agreement_import1') }}"
                data-title="Importer des accords de versement"
                data-table="#{{ table.id() }}"
                data-btn-accept-content="{{ '<i class="fa fa-right-long" aria-hidden="true"></i><span>Etape 2</span>'|escape('html') }}"
            >
                <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                Importer des accords de versement
            </button>
        {% endif %}

        {% if can_access('app_agreement_export') %}
            <a href="{{ url('app_agreement_export', app.request.query.all) }}" download="export_agreements.refae" target="_blank" class="btn btn-primary">
                <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments publiés
            </a>
        {% endif %}
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des accords de versement"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_agreement_csv', app.request.query.all) }}" data-link-download-csv="%s_agreement.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>

{% endblock %}

{% block bottomScript %}
    <script>
        $(function() {
            let table = $('#{{ table.id() }}');
            let generator = table.data('tableGenerator');
            table.on(
                'modal_form_success',
                (event, content, jqXHR) => {
                    let previousVersionId = jqXHR.getResponseHeader('X-Asalae-PreviousVersionId');
                    if (previousVersionId) {
                        generator.removeDataId(previousVersionId);
                        generator.decrementPaginator(table.closest('section').find('.pagination-counters'));
                        generator.generateAll();
                    }
                }
            );
        });
    </script>
{% endblock %}
